/*
 *	Copyright (c) 2000-2006 Jaroslav Kačer <jaroslav@kacer.biz>
 *	Licensed under the Academic Free License version 2.1
 *	J-Sim source code can be downloaded from http://www.j-sim.zcu.cz/
 *
 */

package cz.zcu.fav.kiv.jsimexamples.queueingnetworks;

import cz.zcu.fav.kiv.jsim.JSimHead;
import cz.zcu.fav.kiv.jsim.JSimInvalidParametersException;
import cz.zcu.fav.kiv.jsim.JSimProcess;
import cz.zcu.fav.kiv.jsim.JSimSimulation;
import cz.zcu.fav.kiv.jsim.JSimTooManyHeadsException;

/**
 * A queue having its own server which takes transactions out from the queue.
 *
 */
public class QueueWithServer extends JSimHead
{
	private JSimProcess server;

	public QueueWithServer(String name, JSimSimulation sim, JSimProcess s) throws JSimInvalidParametersException, JSimTooManyHeadsException
	{
		super(name, sim);
		server = s;
	} // constructor

	public JSimProcess getServer()
	{
		return server;
	} // getServer

	public void setServer(JSimProcess s)
	{
		server = s;
	} // setServer

} // class QueueWithServer
